/*
 * $Id: client.h,v 1.4 2003/03/04 12:48:45 tsavola Exp $
 * Timo Savola <timo.savola@movial.fi>
 */

#ifndef CLIENT_H
#define CLIENT_H

/** Name of the config file in the user's home directory. */
#define CONFIG_NAME    ".sbrsh"

/** Gets printed with the --version option. */
#define CLIENT_VERSION "Scratchbox Remote Shell client " VERSION

/** Client parameters. */
typedef struct {
	/* Options */
	char *host;
	char *user;
	char *root;
	char *dir;
	char *cmd;
	char **argv;

	/* Config */
	int port;
	char *pwd;
} config_t;

#endif
